Gecode::Support::Job< RetType > Class Template Referenceabstract

Baseclass for jobs with return type RetType. More...

`#include <run-jobs.hpp>`

## Public Member Functions

virtual RetType | run (int i)=0
| Run a job with iterator index i.
virtual | ~Job (void)
| Destructor.

## Detailed Description

template<class RetType>
class Gecode::Support::Job< RetType >

Baseclass for jobs with return type RetType.

Definition at line 39 of file run-jobs.hpp.

## Constructor & Destructor Documentation

## ~Job()

template<class RetType>

virtual Gecode::Support::Job< RetType >::~Job | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 44 of file run-jobs.hpp.

## Member Function Documentation

## run()

template<class RetType>

virtual RetType Gecode::Support::Job< RetType >::run | ( | int | i | ) |

pure virtual

Run a job with iterator index i.

The documentation for this class was generated from the following file:

- gecode/support/run-jobs.hpp